<?php
require_once ('../librerias/dompdf/autoload.inc.php');
use Dompdf\Dompdf;

$html = '';
$html .='
<style>
	table {
	font-size:11px;
	}
    .tbl-marcaje th {
      color: #fff;
      background-color: #000000;
    }
    .tbl-marcaje tr {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(2) {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(even) {
        background-color: #eee;
    }
     
    .tbl-marcaje tr:nth-child(odd) {
        background-color: #fff;
    }
    .tbl-cabecera{
		width:100%;
	}
</style>';


	$url = 'http://200.24.13.60/~program1/power-time-api/public/informegeneral';
	$ch = curl_init($url); 
	$payload = json_encode(array('fecha_inicio' => $_POST["txtFecha_inicio"], 'fecha_termino' => $_POST["txtFecha_termino"]));
	curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
	$result = curl_exec($ch); 
	$array = json_decode($result);

	$html .="<img src='../img/logo.jpg' style='height:40px;' />";
	$html .="<center><h3>Reporte de Asistencia General</h3></center>";  

	$html .= "<table class='tbl-cabecera'>";
	$html .= "<tr>";	
	$html .= "<td><b>FECHA EMISION :</b> ".date("d-m-Y")."</td>";	
	$html .= "<td><b>PERIODO DESDE :</b> ".$_POST["txtFecha_inicio"]."</td>";
	$html .= "<td><b>PERIODO DESDE :</b> ".$_POST["txtFecha_termino"]."</td>";
	$html .= "</tr>";
	$html .= "<tr>";
	$html .= "<td colspan='2'><b>COMPA&Ntilde;IA :</b> CORP MUNICIPAL PARA EL DESARROLLO SOCIAL</td>";
	$html .= "<td><b>RUT :</b> 70.983.600-5</td>";
	$html .= "<td></td>";			
	$html .= "</tr>";			
	$html .= "</table><br />";

	$html .= "<table class='tbl-marcaje'>";
	$html .= "<thead>";
	$html .= "<tr>";
	$html .= "<th>FECHA</th>";	
	$html .= "<th colspan='2'>HORARIO PROGRAMADO</th>";	
	$html .= "<th colspan='2'>JORNADA REAL</th>";	
	$html .= "<th colspan='2'>TOTAL HORAS</th>";	
	$html .= "<th colspan='7'>TOTAL HORAS</th>";			
	$html .= "</tr>";
	$html .= "<tr>";
	$html .= "<th>DIA</th>";	
	$html .= "<th>ENTRADA</th>";	
	$html .= "<th>SALIDA</th>";	
	$html .= "<th>ENTRADA</th>";	
	$html .= "<th>SALIDA</th>";
	$html .= "<th>PROG.</th>";	
	$html .= "<th>REAL</th>";		
	$html .= "<th>ENT. ANT</th>";	
	$html .= "<th>ATRASO</th>";		
	$html .= "<th>SAL. ANT.</th>";	
	$html .= "<th>SAL. DESP.</th>";	
	$html .= "<th>HORAS. PERM.</th>";
	$html .= "<th>HORAS. EXTRAORDI. AUTORIZADAS.</th>";					  
	$html .= "<th>TRABAJADOR.</th>";					
	$html .= "</tr>";
	$html .= "</thead>";
	$html .= "<tbody>";
								
	$entradap = "00:00:00";
	$salidap = "00:00:00";	
	$entradar = "00:00:00";
	$salidar = "00:00:00";
	$trabajoprogramado = "00:00:00";	
	$trabajoreal = "00:00:00";						
	$entradaanticipada = "00:00:00";						
	$atraso = "00:00:00";
	$salidaanticipada = "00:00:00";
	$salidadespues = "00:00:00";	
	$permanencia = "00:00:00";
	$hora_extra = "00:00:00";	

			
	foreach ($array[0] as $row) {

		if(empty($row->entradap) && empty($row->salidap) && empty($row->entradar) && empty($row->salidar)) { 
			$html .= "<tr>";
			$html .= "<td>".$row->fecha ."</td>";	
			$html .= "<td colspan='13'><center><label style='font-size:10px'>NO REGISTRA MARCAJE </label></center></td>";	
			$html .= "</tr>";
		}else{
					
			$html .= "<tr>";
			$html .= "<td>".$row->fecha ."</td>";						
			$html .= "<td>".cortarCadena($row->entradap) ."</td>";	
			$html .= "<td>".cortarCadena($row->salidap) ."</td>";	
			$html .= "<td>".cortarCadena($row->entradar) ."</td>";	
			$html .= "<td>".cortarCadena($row->salidar) ."</td>";	
			$html .= "<td>".cortarCadena($row->trabajoprogramado) ."</td>";	
			$html .= "<td>".cortarCadena($row->trabajoreal) ."</td>";						
			$html .= "<td>".cortarCadena($row->entradaanticipada) ."</td>";						
			$html .= "<td>".cortarCadena($row->atraso) ."</td>";	
			$html .= "<td>".cortarCadena($row->salidaanticipada) ."</td>";	
			$html .= "<td>".cortarCadena($row->salidadespues) ."</td>";	
			$html .= "<td>".cortarCadena($row->permanencia) ."</td>";	
			$html .= "<td>".cortarCadena($row->hora_extra) ."</td>";	
			$html .= "<td>".$row->nombre ." ".$row->apellido ."</td>";				
			$html .= "</tr>";
			
			if(!empty($row->entradap)) { $entradap = suma_horas($entradap, $row->entradap); }	
			if(!empty($row->salidap)) { $salidap = suma_horas($salidap, $row->salidap); }	
			if(!empty($row->entradar)) { $entradar = suma_horas($entradar, $row->entradar); }	
			if(!empty($row->salidar)) { $salidar = suma_horas($salidar, $row->salidar); }	
			if(!empty($row->trabajoprogramado)) { $trabajoprogramado = suma_horas($trabajoprogramado, $row->trabajoprogramado); }	
			if(!empty($row->trabajoreal)) { $trabajoreal = suma_horas($trabajoreal, $row->trabajoreal); }	
			if(!empty($row->entradaanticipada)) { $entradaanticipada = suma_horas($entradaanticipada, $row->entradaanticipada); }	
			if(!empty($row->atraso)) { $atraso = suma_horas($atraso, $row->atraso); }	
			if(!empty($row->salidaanticipada)) { $salidaanticipada = suma_horas($salidaanticipada, $row->salidaanticipada); }	
			if(!empty($row->salidadespues)) { $salidadespues = suma_horas($salidadespues, $row->salidadespues); }	
			if(!empty($row->permanencia)) { $permanencia = suma_horas($permanencia, $row->permanencia); }	
			if(!empty($row->hora_extra)) { $hora_extra = suma_horas($hora_extra, $row->hora_extra); }				

		}
	
	}
	
	$html .= "<tr>";
	$html .= "<td>TOTAL</td>";						
	$html .= "<td><b>".cortarCadena($entradap) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($salidap) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($entradar) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($salidar) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($trabajoprogramado) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($trabajoreal) ."</b></td>";						
	$html .= "<td><b>".cortarCadena($entradaanticipada) ."</b></td>";						
	$html .= "<td><b>".cortarCadena($atraso) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($salidaanticipada) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($salidadespues) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($permanencia) ."</b></td>";	
	$html .= "<td><b>".cortarCadena($hora_extra) ."</b></td>";	
	$html .= "<td></td>";				
	$html .= "</tr>";	

	$html .= "</tbody>";
	$html .= "</table>";
	
	curl_close($ch); 

function cortarCadena($hora){	
	if($hora != null) { $hora = str_replace("-","", $hora); $hora = substr($hora, 0, 5); return $hora; } else return $hora;
}		

function suma_horas($hora1,$hora2){
		
    $hora1=explode(":",$hora1);
    $hora2=explode(":",$hora2);
    $temp=0;
    $segundos=(int)$hora1[2]+(int)$hora2[2];
    while($segundos>=60){
        $segundos=$segundos-60;
        $temp++;
    }
    $minutos=(int)$hora1[1]+(int)$hora2[1]+$temp;
    $temp=0;
    while($minutos>=60){
        $minutos=$minutos-60;
        $temp++;
    }

    $horas=(int)$hora1[0]+(int)$hora2[0]+$temp;
    if($horas<10){ $horas= '0'.$horas; }
    if($minutos<10){ $minutos= '0'.$minutos; }
    if($segundos<10){ $segundos= '0'.$segundos; }

    $sum_hrs = $horas.':'.$minutos.':'.$segundos;
    return ($sum_hrs);

}

//echo  utf8_encode($html);

$pdf = new DOMPDF();
$pdf->set_paper("A4", "landscape");
$pdf->load_html(utf8_encode($html));
$pdf->render();
$pdf->stream("marcajes.pdf", array("Attachment" => false));
exit(0);

?>
